usb_deregister_dev
Prev | Chapter 5. USB Core APIs | Next

## Name

usb_deregister_dev — deregister a USB device's dynamic minor.

## Synopsis

`void usb_deregister_dev (` | struct usb_interface * | intf,
| struct usb_class_driver * | class_driver`)`;

## Arguments

`intf`

  pointer to the usb_interface that is being deregistered

`class_driver`

  pointer to the usb_class_driver for this device

## Description

Used in conjunction with `usb_register_dev`. This function is called when the USB driver is finished with the minor numbers gotten from a call to `usb_register_dev` (usually when the device is disconnected from the system.)

This function also removes the usb class device from the sysfs tree.

This should be called by all drivers that use the USB major number.

Prev | Up | Next
usb_register_dev | Home | usb_driver_claim_interface